Profiles
List profiles
Retrieves all profiles; profiles can be filtered and sorted. The response contains up to 50 Profiles and supports dynamic cursors for pagination.
query Parameters
sortDirectionIdentifies the sort direction of the result list; asc for ascending or dsc for descending. If not specified, the returned list is in descending order.
sortFieldIdentifies the sort field of the result list. Values include: createdOn, id, email, or lastName. If not specified, the returned list is sorted by id.
filterSemicolon separated list used to filter profile results. Values include: isCustomer and/or hasAccount, or email. The email filter cannot be used with isCustomer or hasAccount.
emailEmail address filter (URL-encoded, case insensitive).
cursorIdentifies where the next page of results should begin. Should be the value of pagination.nextPageCursor from a previous response. Cannot be used with other parameters.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
List profiles › Responses
A paginated list of profiles.
Get profiles
Retrieves information for specific profiles. The response contains a list of up to 50 Profiles. Multiple Profiles can be retrieved by providing a comma-separated list of profile ids.
path Parameters
profileIdCsvsSpecifies the profiles to retrieve. Multiple Profiles can be retrieved by providing a comma-separated list of profile ids.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Get profiles › Responses
The requested profiles.